# Class `awful.button`

Create easily new buttons objects ignoring certain modifiers.

### Info:

- Copyright: 2009 Julien Danjou
- Author: Julien Danjou <julien@danjou.info>

## Tables

awful.button.ignore_modifiers | Modifiers to ignore.

## Methods

awful.button:new (mod, _button, press, release) | Create a new button to use as binding.

## Tables

awful.button.ignore_modifiers
  Modifiers to ignore.

  By default this is initialized as `{ "Lock", "Mod2" }` so the `Caps Lock` or `Num Lock` modifier are not taking into account by awesome when pressing keys.

  ### Fields:

  - Lock
  - Mod2

## Methods

awful.button:new (mod, _button, press, release)
  Create a new button to use as binding.

  This function is useful to create several buttons from one, because it will use the ignore_modifier variable to create more button with or without the ignored modifiers activated.

  For example if you want to ignore CapsLock in your buttonbinding (which is ignored by default by this function), creating button binding with this function will return 2 button objects: one with CapsLock on, and the other one with CapsLock off.

  - mod
  - _button
  - press
  - release

  ### Returns:

  table A table with one or several button objects.

  ### See also:

  button

generated by LDoc 1.4.6 Last updated 2017-01-20 01:17:18